Bug 238691 - Review Request: qsf - Quick Spam Filter
Review Request: qsf - Quick Spam Filter
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bernard Johnson
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-02 07:54 EDT by Miroslav Lichvar
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-04 09:08:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bjohnson: fedora‑review+
jwboyer: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Miroslav Lichvar 2007-05-02 07:54:25 EDT
Spec URL: http://people.redhat.com/mlichvar/tmp/qsf.spec
SRPM URL: http://people.redhat.com/mlichvar/tmp/qsf-1.2.6-1.fc7.src.rpm
Description:
Quick Spam Filter (QSF) is an Open Source email classification filter,
designed to be small, fast, and accurate, which works to classify
incoming email as either spam or non-spam.

To recognise spam, QSF strips the text out of the email (using MIME
decoding and HTML stripping) and then splits it into tokens (words,
word pairs, URLs, and so on). These tokens are then looked up in a
database and analysed using the Bayesian technique to see whether the
email should be classified as spam or not.

QSF is designed to be run by an MDA, such as procmail.
Comment 1 Bernard Johnson 2007-05-02 14:08:32 EDT
Setting FE-NEEDSPONSOR since you don't have any FE packages.
Comment 2 Bernard Johnson 2007-05-02 14:35:48 EDT
There is a failure in your build:

man doc/quickref.1 | col -b | cat -s > doc/quickref.txt         || :
/bin/sh: man: command not found

This is from a missing BR on man.

Then you can add quickref.txt to the %doc entry.


If you'd like, I can provide you will a preliminary review, but since you need a
sponsor, I won't be able to do an approval.
Comment 3 Miroslav Lichvar 2007-05-03 04:23:57 EDT
Thanks for looking at this. I'm sponsored already, no need for FE-NEEDSPONSOR.

The quickref.1 man page is packaged as qsf.1, packaging a plain text version of
the man page probably isn't very useful.
Comment 4 Bernard Johnson 2007-05-03 04:43:51 EDT
(In reply to comment #3)
> Thanks for looking at this. I'm sponsored already, no need for FE-NEEDSPONSOR.
> 
> The quickref.1 man page is packaged as qsf.1, packaging a plain text version of
> the man page probably isn't very useful.

Excellent, then I will review it shortly.
Comment 5 Bernard Johnson 2007-05-03 12:52:29 EDT
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: FC-6 / i386
 [x] Rpmlint output: None
 [x] Package is not relocatable.
 [x] Buildroot is correct
(%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: Artistic
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
     MD5SUM this package    : 45926441d247f72778a01092f6a83743
     MD5SUM upstream package: 45926441d247f72778a01092f6a83743
 [x] Package is not known to require ExcludeArch, OR:
     Arches excluded:
     Why:
 [x] All build dependencies are listed in BuildRequires, except for any that are
listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: FC-6 / i386
 [-] Package should compile and build into binary rpms on all supported
architectures.
     Tested on:
 [x] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files are correct.
 [-] File based requires are sane.


=== Issues ===
1.  Since the package has a test suite, I would highly recommend adding a %check
section to the spec file with "make test" (use a conditional if you want, but
deault to on for he buildsystem).  You can add this post import.

=== Final Notes ===
1.  


================
*** APPROVED ***
================
Comment 6 Miroslav Lichvar 2007-05-03 13:37:32 EDT
I'll add the check, thanks for the review.
Comment 7 Miroslav Lichvar 2007-05-03 13:50:00 EDT
New Package CVS Request
=======================
Package Name: qsf
Short Description: Quick Spam Filter
Owners: mlichvar@redhat.com
Branches: FC-5 FC-6

Note You need to log in before you can comment on or make changes to this bug.